NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_atshutdown(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_atshutdown - Queue a script to run when the server is terminating

## Table Of Contents

## Synopsis

- ns_atshutdown script ?arg?

## Description

This command queues a script to run when the server is terminating. The script and optional arg are concatenated together and added to the list of at-shutdown callbacks. The scripts are executed in the global scope in LIFO (last in, first out) order.

## COMMANDS

ns_atshutdown script ?arg?

## See Also

ns_atclose, ns_atexit, ns_atshutdown, ns_atsignal

## Keywords

callback